/*
* BrainBrowser: Web-based Neurological Visualization Tools
* (https://brainbrowser.cbrain.mcgill.ca)
*
* Copyright (C) 2011
* The Royal Institution for the Advancement of Learning
* McGill University
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU Affero General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Affero General Public License for more details.
*
* You should have received a copy of the GNU Affero General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
* BrainBrowser v2.1.1
*
* Author: Tarek Sherif  <tsherif@gmail.com> (http://tareksherif.ca/)
* Author: Nicolas Kassis
* Author: Paul Mougel
*/
!function(){"use strict";var a="2.1.1";a=a.indexOf("BRAINBROWSER_VERSION")>0?"D.E.V":a,window.BrainBrowser={version:a},window.requestAnimationFrame=window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||function(a){return window.setTimeout(a,1e3/60)},window.cancelAnimationFrame=window.cancelAnimationFrame||function(a){window.clearTimeout(a)}}(),function(){"use strict";function a(b,c,d,e){return c>d?e(b):void Object.keys(b).forEach(function(f){a(b[f],c+1,d,e)})}BrainBrowser.createTreeStore=function(){var b={};return{set:function(){var a,c,d,e,f=arguments[arguments.length-1],g=Array.prototype.slice.call(arguments,0,arguments.length-1),h=b;for(c=0,d=g.length-1;d>c;c++){if(a=g[c],h[a]&&"object"!=typeof h[a])throw e="Hash key '["+g.slice(0,c+1).join("][")+"]' has already been set to a non-object value.\nCannot set '["+g.join("][")+"]'",BrainBrowser.events.triggerEvent("error",e),new Error(e);h[a]||(h[a]={}),h=h[a]}a=g[c],h[a]=f},get:function(){var a,c,d,e=Array.prototype.slice.call(arguments),f=b;if(0===e.length)return b;for(c=0,d=e.length-1;d>c;c++){if(a=e[c],void 0===f[a])return null;f=f[a]}return a=e[c],void 0!==f[a]?f[a]:null},remove:function(){var a,c,d,e,f=Array.prototype.slice.call(arguments),g=b;for(c=0,d=f.length-1;d>c;c++){if(a=f[c],void 0===g[a])return null;g=g[a]}return a=f[c],e=g[a],g[a]=void 0,e},reset:function(a){a=a&&"object"==typeof a?a:{},b=a},forEach:function(c,d){c=c>0?c:1,a(b,1,c,d)}}}}(),function(){"use strict";BrainBrowser.createColorMap=function(a){function b(a,b,c,f,h){var i=d(a,b,c);if(void 0!==i)return i;var j,k,l=g.colors;return k=b>=a?0:a>c?l.length-1:Math.floor((a-b)/h),j=l[k]?l[k]:[0,0,0,1],e(a,b,c,j),j}function c(a,b,c,d){var e,f,h,i=document.createElement("canvas"),j=new Array(256);for(i.width=256,i.height=c,e=0;256>e;e++)d?j[255-e]=e:j[e]=e;for(a=g.mapColors(j,{scale255:!0}),h=i.getContext("2d"),f=0;256>f;f++)h.fillStyle="rgb("+Math.floor(a[4*f])+", "+Math.floor(a[4*f+1])+", "+Math.floor(a[4*f+2])+")",h.fillRect(f,0,1,b);return i}function d(a,b,c){return f[a]&&f[a][b]&&f[a][b][c]}function e(a,b,c,d){f[a]=f[a]||{},f[a][b]=f[a][b]||{},f[a][b][c]=d}var f={},g={createCanvasWithScale:function(a,b,d){d=d||{};var e,f,h=g.colors,i=d.flip,j=b-a;return e=c(h,20,40,i),f=e.getContext("2d"),f.fillStyle="#FFA000",f.fillRect(.5,20,1,10),f.fillText(a.toPrecision(3),.5,40),f.fillRect(e.width/4,20,1,10),f.fillText((a+.25*j).toPrecision(3),.25*e.width,40),f.fillRect(e.width/2,20,1,10),f.fillText((a+.5*j).toPrecision(3),.5*e.width,40),f.fillRect(3*e.width/4,20,1,10),f.fillText((a+.75*j).toPrecision(3),.75*e.width,40),f.fillRect(e.width-.5,20,1,10),f.fillText(b.toPrecision(3),e.width-20,40),e},mapColors:function(a,c){c=c||{};var d,e,f,h=void 0===c.min?0:c.min,i=void 0===c.max?255:c.max,j=void 0===c.scale255?!1:c.scale255,k=void 0===c.brightness?0:c.brightness,l=void 0===c.contrast?1:c.contrast,m=void 0===c.alpha?1:c.alpha,n=c.destination||new Float32Array(4*a.length),o=i-h,p=(o+o/g.colors.length)/g.colors.length,q=j?255:1;for(m*=q,d=0,e=a.length;e>d;d++)f=b(a[d],h,i,o,p),n[4*d+0]=q*(f[0]*l+k),n[4*d+1]=q*(f[1]*l+k),n[4*d+2]=q*(f[2]*l+k),n[4*d+3]=m;return n},colorFromValue:function(a,c){c=c||{};var d=c.format||"float",e=void 0===c.min?0:c.min,f=void 0===c.max?255:c.max,h=f-e,i=(h+h/g.colors.length)/g.colors.length,j=Array.prototype.slice.call(b(a,e,f,h,i));return"float"!==d&&(j[0]=Math.floor(255*j[0]),j[1]=Math.floor(255*j[1]),j[2]=Math.floor(255*j[2]),j[3]=Math.floor(255*j[3]),"hex"===d&&(j[0]=("0"+j[0].toString(16)).slice(-2),j[1]=("0"+j[1].toString(16)).slice(-2),j[2]=("0"+j[2].toString(16)).slice(-2),j=j.slice(0,3).join(""))),j}};return function(){if(a){a=a.replace(/^\s+/,"").replace(/\s+$/,"");var b,c,d,e,f,h=a.split(/\n/),i=[];for(b=0,d=h.length;d>b;b++)if(f=h[b].replace(/^\s+/,"").replace(/\s+$/,"").split(/\s+/).slice(0,4),e=f.length,!(3>e)){for(c=0;e>c;c++)f[c]=parseFloat(f[c]);4>e&&f.push(1),i.push(f)}g.colors=i}}(),g}}(),function(){"use strict";var a=BrainBrowser.createTreeStore();BrainBrowser.config={set:function(b,c){b=b||"";var d=b.split(".");d.push(c),a.set.apply(a,d)},get:function(b){b=b||"";var c=b.split(".");return a.get.apply(a,c)}}}(),function(){"use strict";var a=["eventmodelcleanup"];BrainBrowser.events={unpropagatedEvent:function(b){a.push(b)},addEventModel:function(b){var c=[],d={};b.addEventListener=function(a,b){c[a]||(c[a]=[]),c[a].push(b)},b.triggerEvent=function(d){var e=this,f=Array.prototype.slice.call(arguments),g=f.slice(1),h=b.directPropagationTargets(d);c[d]&&c[d].forEach(function(a){a.apply(e,g)}),c["*"]&&c["*"].forEach(function(a){a.apply(e,f)}),-1===a.indexOf(d)&&(h.forEach(function(a){a.triggerEvent.apply(e,f)}),0===h.length&&b!==BrainBrowser.events&&BrainBrowser.events.triggerEvent.apply(e,f))},b.propagateEventTo=function(a,c){if(!BrainBrowser.utils.isFunction(c.allPropagationTargets))throw new Error("Propagation target doesn't seem to have an event model.");if(b===BrainBrowser.events||-1!==c.allPropagationTargets(a).indexOf(b))throw new Error("Propagating event '"+a+"' would cause a cycle.");d[a]=d[a]||[],-1===b.directPropagationTargets().indexOf(c)&&c.addEventListener("eventmodelcleanup",function(){this===c&&b.stopPropagatingTo(c)}),-1===d[a].indexOf(c)&&d[a].push(c)},b.propagateEventFrom=function(a,c){c.propagateEventTo(a,b)},b.stopPropagatingTo=function(a){Object.keys(d).forEach(function(b){d[b]=d[b].filter(function(b){return b!==a})})},b.directPropagationTargets=function(a){var b=[],c=void 0===a?Object.keys(d):[a,"*"];return c.forEach(function(a){var c=d[a]||[];c.forEach(function(a){-1===b.indexOf(a)&&b.push(a)})}),b},b.allPropagationTargets=function(a){var c=b.directPropagationTargets(a),d=Array.prototype.slice.call(c);return c.forEach(function(b){b.allPropagationTargets(a).forEach(function(a){-1===d.indexOf(a)&&d.push(a)})}),d}}},BrainBrowser.events.addEventModel(BrainBrowser.events)}(),function(){"use strict";var a=BrainBrowser.loader={loadFromURL:function(b,c,d){d=d||{};var e,f=new XMLHttpRequest,g=d.result_type,h=b.split("/"),i=h[h.length-1];f.open("GET",b),"arraybuffer"===g&&(f.responseType="arraybuffer"),f.onreadystatechange=function(){if(4===f.readyState){if(e=f.status,!(e>=200&&300>e||304===e)){var g="error loading URL: "+b+"\nHTTP Response: "+f.status+"\nHTTP Status: "+f.statusText+"\nResponse was: \n"+f.response;throw BrainBrowser.events.triggerEvent("error",g),new Error(g)}a.checkCancel(d)||c(f.response,i,d)}},f.send()},loadFromFile:function(a,b,c){var d=a.files;if(0!==d.length){c=c||{};var e=c.result_type,f=new FileReader,g=a.value.split("\\"),h=g[g.length-1];f.file=d[0],f.onloadend=function(a){b(a.target.result,h,c)},f.onerror=function(){var a="error reading file: "+h;throw BrainBrowser.events.triggerEvent("error",a),new Error(a)},"arraybuffer"===e?f.readAsArrayBuffer(d[0]):f.readAsText(d[0])}},loadColorMapFromURL:function(a,b,c){BrainBrowser.loader.loadFromURL(a,function(a,c,d){b(BrainBrowser.createColorMap(a),c,d)},c)},loadColorMapFromFile:function(a,b,c){BrainBrowser.loader.loadFromFile(a,function(a,c,d){b(BrainBrowser.createColorMap(a),c,d)},c)},checkCancel:function(a){a=a||{},BrainBrowser.utils.isFunction(a)&&(a={test:a});var b=a.test,c=a.cleanup,d=!1;return b&&b()&&(d=!0,c&&c()),d}}}(),function(){"use strict";BrainBrowser.utils={canvasEnabled:function(){return!!document.createElement("canvas")},webglEnabled:function(){var a=document.createElement("canvas");try{return!(!a||!window.WebGLRenderingContext||!a.getContext("webgl")&&!a.getContext("experimental-webgl"))}catch(b){return!1}},webWorkersEnabled:function(){return!!window.Worker},webGLErrorMessage:function(){var a,b='BrainBrowser requires <a href="http://khronos.org/webgl/wiki/Getting_a_WebGL_Implementation">WebGL</a>.<br/>';return b+=window.WebGLRenderingContext?"Your browser seems to support it, but it is <br/> disabled or unavailable.<br/>":"Your browser does not seem to support it.<br/>",b+='Test your browser\'s WebGL support <a href="http://get.webgl.org/">here</a>.',a=document.createElement("div"),a.id="webgl-error",a.innerHTML=b,a},isFunction:function(a){return a instanceof Function||"function"==typeof a},isNumeric:function(a){return!isNaN(parseFloat(a))},createDataURL:function(a,b){if(!window.URL||!window.URL.createObjectURL)throw new Error("createDataURL requires URL.createObjectURL which does not seem to be available is this browser.");return window.URL.createObjectURL(new Blob([a],{type:b||"text/plain"}))},min:function(){var a=Array.prototype.slice.call(arguments);a=1===a.length&&Array.isArray(a[0])?a[0]:a;var b,c,d=a[0];for(b=1,c=a.length;c>b;b++)a[b]<d&&(d=a[b]);return d},max:function(){var a=Array.prototype.slice.call(arguments);a=1===a.length&&Array.isArray(a[0])?a[0]:a;var b,c,d=a[0];for(b=1,c=a.length;c>b;b++)a[b]>d&&(d=a[b]);return d},getOffset:function(a){for(var b=0,c=0;a.offsetParent;)b+=a.offsetTop,c+=a.offsetLeft,a=a.offsetParent;return{top:b,left:c}},captureMouse:function(a){var b={x:0,y:0,left:!1,middle:!1,right:!1};return document.addEventListener("mousemove",function(c){var d,e,f=BrainBrowser.utils.getOffset(a);void 0!==c.pageX?(d=c.pageX,e=c.pageY):(d=c.clientX+window.pageXOffset,e=c.clientY+window.pageYOffset),b.x=d-f.left,b.y=e-f.top},!1),a.addEventListener("mousedown",function(a){a.preventDefault(),0===a.button&&(b.left=!0),1===a.button&&(b.middle=!0),2===a.button&&(b.right=!0)},!1),a.addEventListener("mouseup",function(a){a.preventDefault(),0===a.button&&(b.left=!1),1===a.button&&(b.middle=!1),2===a.button&&(b.right=!1)},!1),a.addEventListener("mouseleave",function(a){a.preventDefault(),b.left=b.middle=b.right=!1},!1),a.addEventListener("contextmenu",function(a){a.preventDefault()},!1),b},captureTouch:function(a){function b(b){var d,e,f,g,h,i=BrainBrowser.utils.getOffset(a);for(c.length=g=b.touches.length,f=0;g>f;f++)h=b.touches[f],void 0!==h.pageX?(d=h.pageX,e=h.pageY):(d=h.clientX+window.pageXOffset,e=h.clientY+window.pageYOffset),c[f]=c[f]||{},c[f].x=d-i.left,c[f].y=e-i.top}var c=[];return a.addEventListener("touchstart",b,!1),a.addEventListener("touchmove",b,!1),a.addEventListener("touchend",b,!1),c}}}(),function(){"use strict";var a=BrainBrowser.VolumeViewer={};a.modules={},a.volume_loaders={},a.start=function(b,c){function d(){document.addEventListener("keydown",function(b){if(e.active_panel){var c,d,f,g=e.active_panel,h=g.volume,i=g.axis,j=b.which,k=a.utils.axis_to_number[i],l={17:function(){g.anchor||(g.mouse.left||g.mouse.middle||g.mouse.right)&&(g.anchor={x:g.mouse.x,y:g.mouse.y})},37:function(){c=g.slice.width_space.name,h.position[c]>0&&h.position[c]--},38:function(){c=g.slice.height_space.name,h.position[c]<g.slice.height_space.space_length&&h.position[c]++},39:function(){c=g.slice.width_space.name,h.position[c]<g.slice.width_space.space_length&&h.position[c]++},40:function(){c=g.slice.height_space.name,h.position[c]>0&&h.position[c]--}};return"function"==typeof l[j]?(b.preventDefault(),l[j](),g.updated=!0,h.display.forEach(function(a){g!==a&&a.updateSlice()}),e.synced&&(f=g.getCursorPosition(),e.volumes.forEach(function(a){var b;a!==h&&(b=a.display[k],b.updateVolumePosition(f.x,f.y),a.display.forEach(function(a){a!==b&&a.updateSlice()}))})),!1):32===j&&(b.preventDefault(),h.data.time)?(d=b.shiftKey?Math.max(0,h.current_time-1):Math.min(h.current_time+1,h.data.time.space_length-1),h.current_time=d,e.synced&&e.volumes.forEach(function(a){a!==h&&(a.current_time=Math.max(0,Math.min(d,a.data.time.space_length-1)))}),e.redrawVolumes(),!1):void 0}},!1),document.addEventListener("keyup",function(a){var b=a.which,c={17:function(){e.volumes.forEach(function(a){a.display.forEach(function(a){a.anchor=null})})}};return"function"==typeof c[b]?(a.preventDefault(),c[b](),!1):void 0},!1)}var e={dom_element:document.getElementById(b),volumes:[],synced:!1};return Object.keys(a.modules).forEach(function(b){a.modules[b](e)}),BrainBrowser.events.addEventModel(e),console.log("BrainBrowser Volume Viewer v"+BrainBrowser.version),d(),c(e),e}}(),function(){"use strict";function a(a,b){a.slice=b,a.slice_image=a.slice.getImage(a.zoom)}function b(a,b){var c,d,e,f,g,h,i=a.context,j=a.getCursorPosition(),k=a.zoom,l=8*k;b=b||"#FF0000",i.save(),i.strokeStyle=b,i.fillStyle=b,e=k,c=j.x,d=j.y,i.lineWidth=2*e,i.beginPath(),i.moveTo(c,d-l),i.lineTo(c,d-e),i.moveTo(c,d+e),i.lineTo(c,d+l),i.moveTo(c-l,d),i.lineTo(c-e,d),i.moveTo(c+e,d),i.lineTo(c+l,d),i.stroke(),a.anchor&&(g=(a.anchor.x-j.x)/a.zoom,h=(a.anchor.y-j.y)/a.zoom,f=Math.sqrt(g*g+h*h),i.font="bold 12px arial",a.canvas.width-j.x<50?(i.textAlign="right",c=j.x-l):(i.textAlign="left",c=j.x+l),j.y<30?(i.textBaseline="top",d=j.y+l):(i.textBaseline="bottom",d=j.y-l),i.fillText(f.toFixed(2),c,d),i.lineWidth=1,i.beginPath(),i.arc(a.anchor.x,a.anchor.y,2*e,0,2*Math.PI),i.fill(),i.moveTo(a.anchor.x,a.anchor.y),i.lineTo(j.x,j.y),i.stroke()),i.restore()}function c(a){var b,c=a.slice_image;c&&(b={x:a.image_center.x-a.slice_image.width/2,y:a.image_center.y-a.slice_image.height/2},a.context.putImageData(c,b.x,b.y))}function d(a){var b=a.slice;return{x:a.image_center.x-Math.abs(b.width_space.step*b.width_space.space_length*a.zoom)/2,y:a.image_center.y-Math.abs(b.height_space.step*b.height_space.space_length*a.zoom)/2}}BrainBrowser.VolumeViewer.createPanel=function(e){e=e||{};var f=0,g={x:0,y:0},h={x:0,y:0},i=null,j={image_center:{x:0,y:0},zoom:1,updated:!0,setSize:function(a,b,c){c=c||{},a=a>0?a:0,b=b>0?b:0;var d,e,f,g=c.scale_image;g&&(d=j.canvas.width,e=j.canvas.width,f=Math.min(a/d,b/e)),j.canvas.width=a,j.canvas.height=b,g&&(j.zoom=j.zoom*f,j.image_center.x=a/2,j.image_center.y=b/2,j.updateVolumePosition(),j.updateSlice()),j.updated=!0},followPointer:function(a){var b=a.x-h.x,c=a.y-h.y,d=j.getCursorPosition();j.image_center.x+=b,j.image_center.y+=c,d.x+=b,d.y+=c,h.x=a.x,h.y=a.y,j.updated=!0},reset:function(){j.zoom=1,j.image_center.x=j.canvas.width/2,j.image_center.y=j.canvas.height/2},getCursorPosition:function(){var a=j.volume,b=j.slice,c=d(j);return{x:a.position[b.width_space.name]*Math.abs(b.width_space.step)*j.zoom+c.x,y:(b.height_space.space_length-a.position[b.height_space.name]-1)*Math.abs(b.height_space.step)*j.zoom+c.y}},updateVolumePosition:function(a,b){var c,e,f,g=d(j),h=j.zoom,i=j.volume,k=j.slice;(void 0===a||void 0===b)&&(c=j.getCursorPosition(),a=c.x,b=c.y),e=Math.round((a-g.x)/h/Math.abs(k.width_space.step)),f=Math.round(k.height_space.space_length-(b-g.y)/h/Math.abs(k.height_space.step)-1),i.position[j.slice.width_space.name]=e,i.position[j.slice.height_space.name]=f,j.updated=!0},updateSlice:function(b){clearTimeout(i),i=setTimeout(function(){var c,d=j.volume;c=d.slice(j.axis),c.min=d.min,c.max=d.max,a(j,c),j.triggerEvent("sliceupdate",c),j.updated=!0,BrainBrowser.utils.isFunction(b)&&b(c)},0)},draw:function(a,d){var e=j.getCursorPosition();if((g.x!==e.x||g.y!==e.y)&&(g.x=e.x,g.y=e.y,j.updated=!0,j.triggerEvent("cursorupdate",e)),f!==j.zoom&&(f=j.zoom,j.updated=!0,j.triggerEvent("zoom",j.volume)),j.touches[0]?(h.x=j.touches[0].x,h.y=j.touches[0].y):(h.x=j.mouse.x,h.y=j.mouse.y),j.updated){var i=j.volume,k=j.canvas,l=j.context,m=4,n=m/2;l.globalAlpha=255,l.clearRect(0,0,k.width,k.height),c(j),j.triggerEvent("draw",i),b(j,a),d&&(l.save(),l.strokeStyle="#EC2121",l.lineWidth=m,l.strokeRect(n,n,k.width-m,k.height-m),l.restore()),j.updated=!1}}};return Object.keys(e).forEach(function(a){BrainBrowser.utils.isFunction(j[a])||(j[a]=e[a])}),BrainBrowser.events.addEventModel(j),j.canvas&&BrainBrowser.utils.isFunction(j.canvas.getContext)&&(j.context=j.canvas.getContext("2d"),j.mouse=BrainBrowser.utils.captureMouse(j.canvas),j.touches=BrainBrowser.utils.captureTouch(j.canvas)),j.volume&&(j.propagateEventTo("*",j.volume),a(j,j.volume.slice(j.axis))),j}}(),function(){"use strict";BrainBrowser.VolumeViewer.utils={axis_to_number:{xspace:0,yspace:1,zspace:2},nearestNeighbor:function(a,b,c,d,e,f){f=f||{};var g,h,i,j,k,l,m,n,o,p,q=f.block_size||1,r=f.array_type||Uint8ClampedArray;if(b===d&&c===e)return a;for(k=new r(d*e*q),g=b/d,h=c/e,m=0;e>m;m++)for(i=Math.floor(m*h)*b,n=m*d,l=0;d>l;l++)for(j=(i+Math.floor(l*g))*q,o=(n+l)*q,p=0;q>p;p++)k[o+p]=a[j+p];return k},flipImage:function(a,b,c,d){d=d||{};var e,f,g,h,i,j,k,l,m,n=d.flipx||!1,o=d.flipy||!1,p=d.block_size||1,q=d.array_type||Uint8ClampedArray,r=new q(b*c*p);for(f=0;c>f;f++)for(j=f*b,i=o?c-f-1:f,l=i*b,e=0;b>e;e++)for(k=(j+e)*p,h=n?b-e-1:e,m=(l+h)*p,g=0;p>g;g++)r[k+g]=a[m+g];return r},rotateUint16Array90Left:function(a,b,c){var d,e,f=new Uint16Array(b*c);for(d=0;b>d;d++)for(e=0;c>e;e++)f[d*c+e]=a[e*b+(b-d)];return f},rotateUint16Array90Right:function(a,b,c){var d,e,f=new Uint16Array(b*c);for(d=0;b>d;d++)for(e=0;c>e;e++)f[d*c+e]=a[(c-e)*b+d];return f}}}(),BrainBrowser.VolumeViewer.modules.loading=function(a){"use strict";function b(a,b){var c,d=h.volume_loaders[a.type];if(!d)throw c="Unsuported Volume Type",BrainBrowser.events.triggerEvent("error",c),new Error(c);d(a,b)}function c(c,d,e){b(d,function(b){var f=0;BrainBrowser.events.addEventModel(b),b.addEventListener("eventmodelcleanup",function(){b.display.forEach(function(a){a.triggerEvent("eventmodelcleanup")})}),a.volumes[c]=b,b.color_map=i,b.display=g(a.dom_element,c,d),b.propagateEventTo("*",a),["xspace","yspace","zspace"].forEach(function(a){b.position[a]=Math.floor(b.header[a].space_length/2)}),b.display.forEach(function(c){c.updateSlice(function(){3===++f&&(a.triggerEvent("volumeloaded",b),BrainBrowser.utils.isFunction(e)&&e(b))})})})}function d(b,c,d){b.cursor_color=c,i=b,a.volumes.forEach(function(a){a.color_map=a.color_map||i}),BrainBrowser.utils.isFunction(d)&&d(b)}function e(b,c,d,e){c.cursor_color=d,a.setVolumeColorMap(b,c),BrainBrowser.utils.isFunction(e)&&e(a.volumes[b],c)}function f(a,b,c,d){var e=document.getElementById(c).innerHTML.replace(/\{\{VOLID\}\}/gm,b),f=document.createElement("div");f.innerHTML=e;var g,h,i,j=f.childNodes,k=f.getElementsByClassName(d)[0];for(g=0,h=a.childNodes.length;h>g;g++)i=a.childNodes[g],1===i.nodeType&&(k.appendChild(i),g--,h--);return j}function g(b,c,d){var e,g=document.createElement("div"),i=a.volumes[c],l=[],m=d.template||{};return g.classList.add("volume-container"),["xspace","yspace","zspace"].forEach(function(a){var b=document.createElement("canvas");b.width=j,b.height=k,b.classList.add("slice-display"),b.style.backgroundColor="#000000",g.appendChild(b),l.push(h.createPanel({volume:i,volume_id:c,axis:a,canvas:b,cursor:{x:b.width/2,y:b.height/2},image_center:{x:b.width/2,y:b.height/2}}))}),m.element_id&&m.viewer_insert_class&&(e=f(g,c,m.element_id,m.viewer_insert_class),"function"==typeof m.complete&&m.complete(i,e),Array.prototype.forEach.call(e,function(a){1===a.nodeType&&g.appendChild(a)})),function(){var b=null;["xspace","yspace","zspace"].forEach(function(d,e){function f(b,d,f){f&&(a.volumes.forEach(function(a){a.display.forEach(function(a){a.anchor=null})}),r.anchor={x:b.x,y:b.y}),d||(r.updateVolumePosition(b.x,b.y),i.display.forEach(function(a){r!==a&&a.updateSlice()}),a.synced&&a.volumes.forEach(function(a,d){var f;d!==c&&(f=a.display[e],f.updateVolumePosition(b.x,b.y),a.display.forEach(function(a){a!==f&&a.updateSlice()}))})),r.updated=!0}function g(b,d){d?(r.followPointer(b),a.synced&&a.volumes.forEach(function(a,d){var f;d!==c&&(f=a.display[e],f.followPointer(b))})):(r.updateVolumePosition(b.x,b.y),i.display.forEach(function(a){r!==a&&a.updateSlice()}),a.synced&&a.volumes.forEach(function(a,d){var f;d!==c&&(f=a.display[e],f.updateVolumePosition(b.x,b.y),a.display.forEach(function(a){a!==f&&a.updateSlice()}))})),r.updated=!0}function h(a){a.target===b&&(a.preventDefault(),a.stopPropagation(),g(r.mouse,a.shiftKey))}function j(a){a.target===b&&(a.preventDefault(),a.stopPropagation(),g(r.touches[0],3===r.touches.length))}function k(){document.removeEventListener("mousemove",h,!1),document.removeEventListener("mouseup",k,!1),a.volumes.forEach(function(a){a.display.forEach(function(a){a.anchor=null})}),b=null}function m(){document.removeEventListener("touchmove",j,!1),document.removeEventListener("touchend",m,!1),a.volumes.forEach(function(a){a.display.forEach(function(a){a.anchor=null})}),b=null}function n(){var a,b=r.touches[0].x-r.touches[1].x,c=r.touches[0].y-r.touches[1].y,d=Math.sqrt(b*b+c*c);null!==t&&(a=d-t,q(.2*a)),t=d}function o(){document.removeEventListener("touchmove",n,!1),document.removeEventListener("touchend",o,!1),t=null}function p(a){q(Math.max(-1,Math.min(1,a.wheelDelta||-a.detail)))}function q(b){event.preventDefault(),event.stopPropagation(),r.zoom=Math.max(r.zoom+.05*b,.05),r.updateVolumePosition(),r.updateSlice(),a.synced&&a.volumes.forEach(function(a,b){var d=a.display[e];b!==c&&(d.zoom=r.zoom,d.updateVolumePosition(),d.updateSlice())})}var r=l[e],s=r.canvas,t=null;s.addEventListener("mousedown",function(c){c.preventDefault(),c.stopPropagation(),b=c.target,a.active_panel&&(a.active_panel.updated=!0),a.active_panel=r,document.addEventListener("mousemove",h,!1),document.addEventListener("mouseup",k,!1),f(r.mouse,c.shiftKey,c.ctrlKey)},!1),s.addEventListener("touchstart",function(c){c.preventDefault(),c.stopPropagation(),b=c.target,a.active_panel&&(a.active_panel.updated=!0),a.active_panel=r,2===r.touches.length?(document.removeEventListener("touchmove",j,!1),document.removeEventListener("touchend",m,!1),document.addEventListener("touchmove",n,!1),document.addEventListener("touchend",o,!1)):(document.removeEventListener("touchmove",n,!1),document.removeEventListener("touchend",o,!1),document.addEventListener("touchmove",j,!1),document.addEventListener("touchend",m,!1),f(r.touches[0],3===r.touches.length,!0))},!1),s.addEventListener("mousewheel",p,!1),s.addEventListener("DOMMouseScroll",p,!1)})}(),b.appendChild(g),a.triggerEvent("volumeuiloaded",g,i,c),l}var h=BrainBrowser.VolumeViewer,i=null,j=256,k=256;a.loadVolumes=function(b){function d(d){c(d,g[d],function(){++j<h||(b.overlay&&h>1?a.createOverlay(f,function(){BrainBrowser.utils.isFunction(i)&&i(),a.triggerEvent("volumesloaded")}):(BrainBrowser.utils.isFunction(i)&&i(),a.triggerEvent("volumesloaded")))})}b=b||{};var e,f=b.overlay&&"object"==typeof b.overlay?b.overlay:{},g=b.volumes,h=b.volumes.length,i=b.complete,j=0;for(e=0;h>e;e++)d(e)},a.loadVolumeColorMapFromURL=function(a,b,c,d){BrainBrowser.loader.loadColorMapFromURL(b,function(b){e(a,b,c,d)})},a.loadDefaultColorMapFromURL=function(a,b,c){BrainBrowser.loader.loadColorMapFromURL(a,function(a){d(a,b,c)})},a.loadVolumeColorMapFromFile=function(a,b,c,d){BrainBrowser.loader.loadColorMapFromFile(b,function(b){e(a,b,c,d)})},a.loadDefaultColorMapFromFile=function(a,b,c){BrainBrowser.loader.loadColorMapFromFile(a,function(a){d(a,b,c)})},a.setVolumeColorMap=function(b,c){a.volumes[b].color_map=c},a.loadVolume=function(b,d){c(a.volumes.length,b,d)},a.clearVolumes=function(){a.volumes.forEach(function(a){a.triggerEvent("eventmodelcleanup")}),a.volumes=[],a.active_panel=null,a.dom_element.innerHTML=""},a.createOverlay=function(b,c){b=b||{},a.loadVolume({volumes:a.volumes,type:"overlay",template:b.template},c)},a.setDefaultPanelSize=function(a,b){j=a,k=b}},BrainBrowser.VolumeViewer.modules.rendering=function(a){"use strict";a.draw=function(){a.volumes.forEach(function(b){b.display.forEach(function(c){c.draw(b.color_map.cursor_color,a.active_panel===c)})})},a.render=function(){a.triggerEvent("rendering"),function b(){window.requestAnimationFrame(b),a.draw()}()},a.redrawVolume=function(b){var c=a.volumes[b];c.display.forEach(function(a){a.updateSlice()})},a.redrawVolumes=function(){a.volumes.forEach(function(b,c){a.redrawVolume(c)})},a.resetDisplays=function(){a.volumes.forEach(function(a){a.display.forEach(function(a){a.reset()})})},a.setPanelSize=function(b,c,d){a.volumes.forEach(function(a){a.display.forEach(function(a){a.setSize(b,c,d)})})}},function(){"use strict";function a(a,b){var c,d;try{c=JSON.parse(a)}catch(e){throw d="server did not respond with valid JSON\nResponse was: \n"+a,BrainBrowser.events.triggerEvent("error",d),new Error(d)}BrainBrowser.utils.isFunction(b)&&b(c)}function b(a,b,f){var g=c(a,new Uint8Array(b)),h={position:{},current_time:0,data:g,header:g.header,min:0,max:255,slice:function(a,b,c){b=void 0===b?h.position[a]:b,c=void 0===c?h.current_time:c;var f=h.data.slice(a,b,c);return f.color_map=h.color_map,f.min=h.min,f.max=h.max,f.axis=a,f.getImage=function(a){a=a||1;var b,c=f.color_map;if(!c)throw b="No color map set for this volume. Cannot render slice.",h.triggerEvent("error",b),new Error(b);var g=f.width_space.step,i=f.height_space.step,j=Math.abs(Math.floor(f.width*g*a)),k=Math.abs(Math.floor(f.height*i*a)),l=e.createImageData(f.width,f.height),m=e.createImageData(j,k);return c.mapColors(f.data,{min:f.min,max:f.max,scale255:!0,brightness:0,contrast:1,alpha:f.alpha,destination:l.data}),0>g&&i>0&&l.data.set(d.utils.flipImage(l.data,l.width,l.height,{flipx:!0,flipy:!1,block_size:4})),m.data.set(d.utils.nearestNeighbor(l.data,l.width,l.height,j,k,{block_size:4})),m},f},getIntensityValue:function(a,b,c,d){if(a=void 0===a?h.position.xspace:a,b=void 0===b?h.position.yspace:b,c=void 0===c?h.position.zspace:c,d=void 0===d?h.current_time:d,0>a||a>h.data.xspace.space_length||0>b||b>h.data.yspace.space_length||0>c||c>h.data.zspace.space_length)return 0;var e,f,g=h.data.slice("zspace",c,d),i=g.data;return"xspace"===g.width_space.name?(e=a,f=b):(e=b,f=c),i[(g.height_space.space_length-f-1)*g.width+e]},getVoxelCoords:function(){return{x:h.position.xspace,y:h.position.yspace,z:h.position.zspace}},setVoxelCoords:function(a,b,c){h.position.xspace=a,h.position.yspace=b,h.position.zspace=c},getWorldCoords:function(){return h.voxelToWorld(h.position.xspace,h.position.yspace,h.position.zspace)},setWorldCoords:function(a,b,c){var d=h.worldToVoxel(a,b,c);h.position.xspace=d.x,h.position.yspace=d.y,h.position.zspace=d.z},voxelToWorld:function(a,b,c){var d={};d[h.data.order[0]]=a,d[h.data.order[1]]=b,d[h.data.order[2]]=c,a=d.xspace,b=d.yspace,c=d.zspace;var e=h.data.xspace.direction_cosines,f=h.data.yspace.direction_cosines,g=h.data.zspace.direction_cosines,i=h.data.xspace.step,j=h.data.yspace.step,k=h.data.zspace.step,l=h.data.voxel_origin;return{x:a*e[0]*i+b*f[0]*j+c*g[0]*k+l.x,y:a*e[1]*i+b*f[1]*j+c*g[1]*k+l.y,z:a*e[2]*i+b*f[2]*j+c*g[2]*k+l.z}},worldToVoxel:function(a,b,c){var d=h.data.xspace.direction_cosines,e=h.data.yspace.direction_cosines,f=h.data.zspace.direction_cosines,g=h.data.xspace.step,i=h.data.yspace.step,j=h.data.zspace.step,k=h.data.voxel_origin,l=(-k.x*d[0]-k.y*d[1]-k.z*d[2])/g,m=(-k.x*e[0]-k.y*e[1]-k.z*e[2])/i,n=(-k.x*f[0]-k.y*f[1]-k.z*f[2])/j,o={x:Math.round(a*d[0]/g+b*d[1]/g+c*d[2]/g+l),y:Math.round(a*e[0]/i+b*e[1]/i+c*e[2]/i+m),z:Math.round(a*f[0]/j+b*f[1]/j+c*f[2]/j+n)},p={};return p[h.data.order[0]]=o.x,p[h.data.order[1]]=o.y,p[h.data.order[2]]=o.z,{x:p.xspace,y:p.yspace,z:p.zspace}}};BrainBrowser.utils.isFunction(f)&&f(h)}function c(a,b){var c,e,f,g,h,i,j={};j.header=a,j.order=a.order,4===j.order.length&&(j.order=j.order.slice(1),j.time=a.time),j.xspace=a.xspace,j.yspace=a.yspace,j.zspace=a.zspace,j.xspace.name="xspace",j.yspace.name="yspace",j.zspace.name="zspace",j.xspace.space_length=parseFloat(j.xspace.space_length),j.yspace.space_length=parseFloat(j.yspace.space_length),j.zspace.space_length=parseFloat(j.zspace.space_length),c=j.xspace.start=parseFloat(j.xspace.start),e=j.yspace.start=parseFloat(j.yspace.start),f=j.zspace.start=parseFloat(j.zspace.start),j.xspace.step=parseFloat(j.xspace.step),j.yspace.step=parseFloat(j.yspace.step),j.zspace.step=parseFloat(j.zspace.step),j.xspace.direction_cosines=j.xspace.direction_cosines||[1,0,0],j.yspace.direction_cosines=j.yspace.direction_cosines||[0,1,0],j.zspace.direction_cosines=j.zspace.direction_cosines||[0,0,1],g=j.xspace.direction_cosines=j.xspace.direction_cosines.map(parseFloat),h=j.yspace.direction_cosines=j.yspace.direction_cosines.map(parseFloat),i=j.zspace.direction_cosines=j.zspace.direction_cosines.map(parseFloat),j.voxel_origin={x:c*g[0]+e*h[0]+f*i[0],y:c*g[1]+e*h[1]+f*i[1],z:c*g[2]+e*h[2]+f*i[2]},4===j.order.length&&(j.time.space_length=parseFloat(j.time.space_length),j.time.start=parseFloat(j.time.start),j.time.step=parseFloat(j.time.step));var k=j[j.order[0]],l=j[j.order[1]],m=j[j.order[2]];return k.height=parseFloat(l.space_length),k.height_space=l,k.width=parseFloat(m.space_length),k.width_space=m,l.height=parseFloat(m.space_length),l.height_space=m,l.width=parseFloat(k.space_length),l.width_space=k,m.height=parseFloat(l.space_length),m.height_space=l,m.width=parseFloat(k.space_length),m.width_space=k,k.offset=parseFloat(l.space_length)*parseFloat(m.space_length),l.offset=parseFloat(k.space_length),m.offset=parseFloat(k.space_length),k.slice_length=k.height*k.width,j.cached_slices={},j.data=b,j.slice=function(a,b,c){var e,f=j.cached_slices,g=j[j.order[0]];if(c=c||0,f[a]=f[a]||[],f[a][c]=f[a][c]||[],j[a].step<0&&(b=j[a].space_length-b),void 0!==f[a][c][b])return e=f[a][c][b],e.alpha=1,e.number=b,e;if(void 0===j.order)return!1;var h=0;j.time&&(h=c*g.height*g.width*parseFloat(g.space_length));var i=j[a].width_space.step,k=j[a].height_space.step;e={};var l,m,n,o,p,q,r,s,t,u;if(j.order[0]===a)if(m=j[a].height*j[a].width,n=j[a].height,o=j[a].width,p=1,q=o,r=m,l=new Uint16Array(m),i>0)if(k>0)for(s=0;m>s;s++)l[s]=j.data[h+r*b+s];else for(s=n;s>0;s--)for(t=0;o>t;t++)l[(n-s)*o+t]=j.data[h+r*b+s*o+t];else if(0>k)for(s=0;n>s;s++)for(t=0;o>t;t++)l[s*o+t]=j.data[h+r*b+s*o+o-t];else for(s=n;s>0;s--)for(t=0;o>t;t++)l[(n-s)*o+t]=j.data[h+r*b+s*o+o-t];else if(j.order[1]===a)if(n=j[a].height,m=j[a].height*j[a].width,o=j[a].width,p=1,q=g.slice_length,r=g.width,l=new Uint8Array(m),0>k)for(t=0;n>t;t++)for(u=0;o>u;u++)l[t*o+u]=j.data[h+b*r+q*u+t];else for(t=n;t>=0;t--)for(u=0;o>u;u++)l[(n-t)*o+u]=j.data[h+b*r+q*u+t];else for(n=j[a].height,m=j[a].height*j[a].width,o=j[a].width,p=g.slice_length,q=g.width,r=1,l=new Uint16Array(m),t=0;n>t;t++)for(u=0;o>u;u++)l[t*o+u]=j.data[h+b+g.width*t+u*g.slice_length];return e.width_space=j[a].width_space,e.height_space=j[a].height_space,e.width=o,e.height=n,"xspace"===a&&"yspace"===j.xspace.height_space.name&&(l=j.zspace.step<0?d.utils.rotateUint16Array90Right(l,e.width,e.height):d.utils.rotateUint16Array90Left(l,e.width,e.height),e.width_space=j[a].height_space,e.height_space=j[a].width_space,e.width=n,e.height=o),"yspace"===a&&"xspace"===j.yspace.height_space.name&&(l=j.zspace.step<0?d.utils.rotateUint16Array90Right(l,e.width,e.height):d.utils.rotateUint16Array90Left(l,e.width,e.height),e.width_space=j[a].height_space,e.height_space=j[a].width_space,e.width=n,e.height=o),"zspace"===a&&"xspace"===j.zspace.height_space.name&&(l=d.utils.rotateUint16Array90Left(l,e.width,e.height),e.width_space=j[a].width_space,e.height_space=j[a].height_space,e.width=n,e.height=o),e.data=l,e.width_space=e.width_space||j[a].width_space,e.height_space=e.height_space||j[a].height_space,e.width=e.width||o,e.height=e.height||n,f[a][c][b]=e,e},j}var d=BrainBrowser.VolumeViewer,e=document.createElement("canvas").getContext("2d");d.volume_loaders.minc=function(c,d){var e;if(c.header_url&&c.raw_data_url)BrainBrowser.loader.loadFromURL(c.header_url,function(e){a(e,function(a){BrainBrowser.loader.loadFromURL(c.raw_data_url,function(c){b(a,c,d)},{result_type:"arraybuffer"})})});else{if(!c.header_file||!c.raw_data_file)throw e="invalid volume description.\nDescription must contain property pair 'header_url' and 'raw_data_url', or\n'header_file' and 'raw_data_file'.",BrainBrowser.events.triggerEvent("error",e),new Error(e);BrainBrowser.loader.loadFromFile(c.header_file,function(e){a(e,function(a){BrainBrowser.loader.loadFromFile(c.raw_data_file,function(c){b(a,c,d)},{result_type:"arraybuffer"})})})}}}(),function(){"use strict";function a(a,b,c){var d=a.length;if(1===d)return a[0];var e,f,g,h,i,j,k,l,m,n=c.data,o=c.width,p=c.height,q=new Uint32Array(a.length),r=new Float32Array(b);for(e=0;p>e;e+=1)for(m=e*o,f=0;o>f;f+=1)for(j=4*(m+f),k=0,g=0;d>g;g+=1)h=a[g],e<h.height&&f<h.width&&(i=h.data,l=q[g],n[j]=n[j]*k+i[l]*r[g],n[j+1]=n[j+1]*k+i[l+1]*r[g],n[j+2]=n[j+2]*k+i[l+2]*r[g],n[j+3]=255,k+=r[g],q[g]+=4);
return c}var b=BrainBrowser.VolumeViewer,c=document.createElement("canvas").getContext("2d");b.volume_loaders.overlay=function(d,e){d=d||{};var f=d.volumes||[],g={type:"overlay",position:{},header:f[0]?f[0].header:{},min:0,max:255,volumes:[],blend_ratios:[],slice:function(d,e,f){e=void 0===e?this.position[d]:e,f=void 0===f?this.current_time:f;var g=this,h=[];return g.volumes.forEach(function(a,b){var c=a.slice(d,e,f);c.alpha=g.blend_ratios[b],h.push(c)}),{height_space:h[0].height_space,width_space:h[0].width_space,getImage:function(d){d=d||1;var e=[],f=0,i=0;return h.forEach(function(a){var h,j=a.color_map;if(!j)throw h="No color map set for this volume. Cannot render slice.",g.triggerEvent("error",h),new Error(h);var k=a.width_space.step,l=a.height_space.step,m=Math.abs(Math.floor(a.width*k*d)),n=Math.abs(Math.floor(a.height*l*d)),o=c.createImageData(a.width,a.height),p=c.createImageData(m,n);j.mapColors(a.data,{min:a.min,max:a.max,scale255:!0,brightness:0,contrast:1,alpha:a.alpha,destination:o.data}),0>k&&l>0&&o.data.set(b.utils.flipImage(o.data,o.width,o.height,{flipx:!0,flipy:!1,block_size:4})),p.data.set(b.utils.nearestNeighbor(o.data,o.width,o.height,m,n,{block_size:4})),f=Math.max(f,m),i=Math.max(i,n),e.push(p)}),a(e,g.blend_ratios,c.createImageData(f,i))}}},getIntensityValue:function(a,b,c,d){a=void 0===a?this.position.xspace:a,b=void 0===b?this.position.yspace:b,c=void 0===c?this.position.zspace:c,d=void 0===d?this.current_time:d;var e=this,f=[];return e.volumes.forEach(function(e){(0>a||a>e.data.xspace.space_length||0>b||b>e.data.yspace.space_length||0>c||c>e.data.zspace.space_length)&&f.push(0);var g,h,i=e.data.slice("zspace",c,d),j=i.data;"xspace"===i.width_space.name?(g=a,h=b):(g=b,h=c),f.push(j[(i.height_space.space_length-h-1)*i.width+g])}),f.reduce(function(a,b,c){return a+b*e.blend_ratios[c]},0)},getVoxelCoords:function(){return{x:this.position.xspace,y:this.position.yspace,z:this.position.zspace}},setVoxelCoords:function(a,b,c){this.position.xspace=a,this.position.yspace=b,this.position.zspace=c},getWorldCoords:function(){return this.volumes[0].voxelToWorld(this.position.xspace,this.position.yspace,this.position.zspace)},setWorldCoords:function(a,b,c){var d=this.volumes[0].worldToVoxel(a,b,c);this.position.xspace=d.x,this.position.yspace=d.y,this.position.zspace=d.z}};f.forEach(function(a){g.volumes.push(a),g.blend_ratios.push(1/f.length)}),BrainBrowser.utils.isFunction(e)&&e(g)}}();